Backups - Get Latest Status
Get the latest status of the backup for a volume
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetApp/netAppAccounts/{accountName}/capacityPools/{poolName}/volumes/{volumeName}/latestBackupStatus/current?api-version=2026-03-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,127}$ |
The name of the NetApp account |
|
pool
|
path | True |
string minLength: 1maxLength: 64 pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,63}$ |
The name of the capacity pool |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
volume
|
path | True |
string minLength: 1maxLength: 64 pattern: ^[a-zA-Z][a-zA-Z0-9\-_]{0,63}$ |
The name of the volume |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Volumes_BackupStatus
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myRG/providers/Microsoft.NetApp/netAppAccounts/account1/capacityPools/pool1/volumes/volume1/latestBackupStatus/current?api-version=2026-03-01
Sample response
{
"errorMessage": "",
"healthy": true,
"lastTransferSize": 100000,
"lastTransferType": "",
"mirrorState": "Mirrored",
"relationshipStatus": "Idle",
"totalTransferBytes": 100000,
"unhealthyReason": ""
}
Definitions
| Name | Description |
|---|---|
|
Backup |
Backup status |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Mirror |
The status of the replication |
|
Volume |
Status of the volume backup relationship |
BackupStatus
Backup status
| Name | Type | Description |
|---|---|---|
| errorMessage |
string |
Displays error message if the backup is in an error state |
| healthy |
boolean |
Backup health status |
| lastTransferSize |
integer (int64) |
Displays the last transfer size |
| lastTransferType |
string |
Displays the last transfer type |
| mirrorState |
The status of the backup |
|
| relationshipStatus |
Status of the backup mirror relationship |
|
| totalTransferBytes |
integer (int64) |
Displays the total bytes transferred |
| transferProgressBytes |
integer (int64) |
Displays the total number of bytes transferred for the ongoing operation |
| unhealthyReason |
string |
Reason for the unhealthy backup relationship |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
MirrorState
The status of the replication
| Value | Description |
|---|---|
| Uninitialized | |
| Mirrored | |
| Broken |
VolumeBackupRelationshipStatus
Status of the volume backup relationship
| Value | Description |
|---|---|
| Idle | |
| Transferring | |
| Failed | |
| Unknown |